@import 'base/_mixins';
@import 'base/_config';

.post__intro {
  padding: $s6 0;
  border-bottom: 3px solid var(--neon-blue);
}

.post__title {
  color: var(--neon-blue);
}

.post__date {
  display: inline;
  font-size: clamp($fs2, 5vw, $fs3);

  time {
    font-weight: bold;
    color: var(--secondary-text-color);
  }
}

.post__tagline {
  width: 100%;
  max-width: 60ch;
  line-height: 1.5;
  text-align: left;
}

.post__link {
  display: inline;
  padding-right: $s4;
  color: var(--neon-blue);
}


.post__content {
  padding-top: $s8;
  padding-bottom: $s8;
  border-bottom: 3px solid var(--neon-blue);

  color: var(--primary-text-color);
  background-color: var(--body-color);
  
  a {
    color: var(--secondary-text-color);
  }

  p {
    margin-bottom: $s4;
  }
}

